Bug 1155079 - (CVE-2019-18408) VUL-1: CVE-2019-18408: libarchive: use-after-free in a certain ARCHIVE_FAILED situation, related to Ppmd7_DecodeSymbol
(CVE-2019-18408)
VUL-1: CVE-2019-18408: libarchive: use-after-free in a certain ARCHIVE_FAILED...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/245752/
CVSSv3:SUSE:CVE-2019-18408:4.4:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-25 09:27 UTC by Alexandros Toptsoglou
Modified: 2020-07-10 13:35 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2019-10-25 09:31:00 UTC
Judging from the patch [1] both SLE12 and SLE15 seem affected. The version in Factory is 3.4.0 which already ships the fixed version. 

[1] https://github.com/libarchive/libarchive/commit/b8592ecba2f9e451e1f5cb7ab6dcee8b8e7b3f60
Comment 2 Adrian Schröter 2019-10-25 11:10:37 UTC
submissions to fix SLE 11, 12 and 15 are in requests
203990, 203989 and 203991 .

reassigning to security team.
Comment 5 Malte Kraus 2019-11-22 12:23:58 UTC
Bsdtar 2.5.5 in SLE 11 is not affected by this bug. The vulnerable code is not present there. (RAR support was added in version 3.0 / git commit 099075c11ce9143f7375ed4b1264a10a45a072f9.)
Comment 6 Swamp Workflow Management 2019-11-28 20:15:15 UTC
SUSE-SU-2019:3093-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libarchive-3.3.2-3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-11-28 20:21:56 UTC
SUSE-SU-2019:3092-1: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1032089,1037008,1037009,1059134,1059139,1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2016-10209,CVE-2016-10349,CVE-2016-10350,CVE-2017-14501,CVE-2017-14502,CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libarchive-3.1.2-26.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-12-03 20:12:43 UTC
openSUSE-SU-2019:2615-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.0 (src):    libarchive-3.3.2-lp150.10.1
Comment 9 Swamp Workflow Management 2019-12-03 23:14:41 UTC
openSUSE-SU-2019:2632-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.1 (src):    libarchive-3.3.2-lp151.5.3.1
Comment 10 Alexandros Toptsoglou 2020-07-10 13:35:47 UTC
Done